Skip to content
noxstock
API referenceEndpointsSEC filings

Get filing metadata

GET/v2/filings/{accession}

Fetch filing metadata and section index for a SEC accession number returned by the filings list endpoint.

Access: Starter and Builder.

Authorization

ApiKeyAuth
X-API-Key<token>

noxstock API key from the dashboard.

In: header

Path Parameters

accession*Accession

Header Parameters

X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/filings/string"
{
  "data": {
    "accession": "string",
    "as_of": "string",
    "cache_age_seconds": 0,
    "filing_date": "string",
    "form": "10-K",
    "freshness": "intraday",
    "market_status": "open",
    "period_of_report": "string",
    "sections": [
      {
        "char_count": 0,
        "name": "string"
      }
    ],
    "symbol": "string",
    "symbol_status": {
      "resolved": true
    },
    "url": "string"
  }
}
Empty
Empty
{
  "detail": [
    {
      "ctx": {},
      "input": null,
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
Empty
Empty